<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class StaffBusinessLocationDetailItem 
{
    public string $id;
    public \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails;
    public ?string $announcements = null;
    public int $weeksToDisplay;
    public \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[] $specialHours */
    public array $specialHours;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[] $weekNotes */
    public array $weekNotes;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[] $staffMembers */
    public array $staffMembers;
    public \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range;

    /**
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]  $specialHours 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]  $weekNotes 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]  $staffMembers 
     */
    public function __construct(string $id, \Bushelpowered\Api\Aggregator\Businesspages\V1\Model\LocationDetails $locationDetails, ?string $announcements, int $weeksToDisplay, \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours, array $specialHours, array $weekNotes, array $staffMembers, \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range)
    {
        $this->id = $id;
        $this->locationDetails = $locationDetails;
        $this->announcements = $announcements;
        $this->weeksToDisplay = $weeksToDisplay;
        $this->standardHours = $standardHours;
        $this->specialHours = $specialHours;
        $this->weekNotes = $weekNotes;
        $this->staffMembers = $staffMembers;
        $this->range = $range;
    }
    

}