<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class BusinessLocationListItem 
{
    public string $id;
    public string $tenantId;
    public \Bushelpowered\Api\Businesspages\V1\Model\Location $location;
    public bool $isFavorite;
    public ?string $todaysStandardHours = null;
    public ?string $todaysSpecialHours = null;
    /** @var null|string $publishedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $publishedAt = null;
    /** @var null|string $activatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $activatedAt = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  null|string  $publishedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $activatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $tenantId, \Bushelpowered\Api\Businesspages\V1\Model\Location $location, bool $isFavorite, ?string $todaysStandardHours, ?string $todaysSpecialHours, ?string $publishedAt, ?string $activatedAt, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->location = $location;
        $this->isFavorite = $isFavorite;
        $this->todaysStandardHours = $todaysStandardHours;
        $this->todaysSpecialHours = $todaysSpecialHours;
        $this->publishedAt = $publishedAt;
        $this->activatedAt = $activatedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    

}