<?php
namespace Bushelpowered\Api\Businesspages\V1\Request;
        
class UpdateBusinessLocationRequest 
{
    public string $id;
    public ?string $announcements = null;
    public int $weeksToDisplay;
    public \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null $specialHours */
    public ?array $specialHours = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null $weekNotes */
    public ?array $weekNotes = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]|null $staffMembers */
    public ?array $staffMembers = null;
    public bool $publish;
    public \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range;

    /**
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null  $specialHours 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null  $weekNotes 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]|null  $staffMembers 
     */
    public function __construct(string $id, ?string $announcements, int $weeksToDisplay, \Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours, ?array $specialHours, ?array $weekNotes, ?array $staffMembers, bool $publish, \Bushelpowered\Api\Businesspages\V1\Model\DateRange $range)
    {
        $this->id = $id;
        $this->announcements = $announcements;
        $this->weeksToDisplay = $weeksToDisplay;
        $this->standardHours = $standardHours;
        $this->specialHours = $specialHours;
        $this->weekNotes = $weekNotes;
        $this->staffMembers = $staffMembers;
        $this->publish = $publish;
        $this->range = $range;
    }
    

}