<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class CreateFollowUpTaskRequest 
{
    public string $content;
    public ?string $assignedTo = null;
    /** @var null|string $dueDate of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $dueDate = null;

    /**
     * @param  null|string  $dueDate of yyyy-MM-dd format, IE: 2023-10-04
     */
    public function __construct(string $content, ?string $assignedTo, ?string $dueDate)
    {
        $this->content = $content;
        $this->assignedTo = $assignedTo;
        $this->dueDate = $dueDate;
    }
    

}