<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class GetActivitiesByCustomerIdRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    public string $id;
    public ?\Bushelpowered\Api\Crm\V1\Request\ActivityPagination $pagination = null;

    /**
     */
    public function __construct(string $id, ?\Bushelpowered\Api\Crm\V1\Request\ActivityPagination $pagination)
    {
        $this->id = $id;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Crm\V1\Request\ActivityPagination
    {
        return $this->pagination;
    }
}