<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class GetAssignedTasksRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    public ?\Bushelpowered\Api\Crm\V1\Request\TaskFilter $filter = null;
    public ?\Bushelpowered\Api\Crm\V1\Request\ActivityPagination $pagination = null;

    /**
     */
    public function __construct(?\Bushelpowered\Api\Crm\V1\Request\TaskFilter $filter, ?\Bushelpowered\Api\Crm\V1\Request\ActivityPagination $pagination)
    {
        $this->filter = $filter;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Crm\V1\Request\ActivityPagination
    {
        return $this->pagination;
    }
}