<?php
namespace Bushelpowered\Api\Platform\Eventstore\Request;
        
class GetEventsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    public string $stream;
    public ?\Bushelpowered\Api\Platform\Eventstore\Common\CompactedBy $compactedBy = null;
    public ?\Bushelpowered\Api\Platform\Eventstore\Common\EventFilter $filter = null;
    public ?\Bushelpowered\Api\Platform\Eventstore\Common\EventPagination $pagination = null;

    /**
     */
    public function __construct(string $stream, ?\Bushelpowered\Api\Platform\Eventstore\Common\CompactedBy $compactedBy, ?\Bushelpowered\Api\Platform\Eventstore\Common\EventFilter $filter, ?\Bushelpowered\Api\Platform\Eventstore\Common\EventPagination $pagination)
    {
        $this->stream = $stream;
        $this->compactedBy = $compactedBy;
        $this->filter = $filter;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Platform\Eventstore\Common\EventPagination
    {
        return $this->pagination;
    }
}