<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class UpdateActivityRequest 
{
    public string $id;
    public string $content;
    public ?string $assignedTo = null;
    /** @var null|string $dueDate of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $dueDate = null;
    public ?\Bushelpowered\Api\Crm\V1\Request\CreateFollowUpTaskRequest $createFollowUpTask = null;

    /**
     * @param  null|string  $dueDate of yyyy-MM-dd format, IE: 2023-10-04
     */
    public function __construct(string $id, string $content, ?string $assignedTo, ?string $dueDate, ?\Bushelpowered\Api\Crm\V1\Request\CreateFollowUpTaskRequest $createFollowUpTask)
    {
        $this->id = $id;
        $this->content = $content;
        $this->assignedTo = $assignedTo;
        $this->dueDate = $dueDate;
        $this->createFollowUpTask = $createFollowUpTask;
    }
    

}