<?php
namespace Bushelpowered\Api\Platform\Eventstore\Response;
        
class GetEventsResponse implements \Bushelpowered\Api\Common\ReturnsPaginationTokens
{
    /** @var \Bushelpowered\Api\Platform\Eventstore\Common\Event[] $events */
    public array $events;
    public ?string $continuationToken = null;

    /**
     * @param  \Bushelpowered\Api\Platform\Eventstore\Common\Event[]  $events 
     */
    public function __construct(array $events, ?string $continuationToken)
    {
        $this->events = $events;
        $this->continuationToken = $continuationToken;
    }
    
    public function getContinuationToken(): ?string
    {
        return $this->continuationToken;
    }
}